DIFF3(1)

NAVN
diff3 - sammenlikn tre filer, linje for linje

OVERSIKT
diff3 [VALG]... FIL GAMMELFIL NYFIL

BESKRIVELSE
Sammenlikn tre filer, linje for linje.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-A, --show-all
    Skriv ut alle endringer, med konflikter i parentes.

-e, --ed
    Skriv ut ed(1)-skript med endringer mellom GAMMELFIL og NYFIL til FIL.

-E, --show-overlap
    Likner -e, men viser konflikter i parentes.

-3, --easy-only
    Likner -e, men tar ikke med endringer som overlapper hverandre.

-x, --overlap-only
    Likner -e, men tar bare med endringer som overlapper hverandre.

-X  Likner -x, men viser også konflikter i parentes.

-i  Legg til kommandoene «w» og «q» i ed-skript.

-m, --merge
    Skriv ut sammenslått fil ihht. -A, med mindre noe annet er valgt.

-a, --text
    Behandle filer som tekst.

--strip-trailing-cr
    Fjern etterfølgende linjeskift-tegn fra inndata.

-T, --initial-tab
    Still opp tabulatorer på rekke ved å legge til en ekstra tab foran.

--diff-program=PROGRAM
    Bruk valgt PROGRAM til å sammenlikne filer.

-L, --label=ETIKETT
    Bruk valgt ETIKETT i stedet for filnavn (dette kan gjentas opptil tre ganger).

--help
    Vis denne hjelpeteksten og avslutt.

-v, --version
    Vis versjonsinformasjon og avslutt.

Standard utskriftsformat er en nogen lunde menneskevennlig visning av endringene.

Valgene -e, -E, -x og -X (samt tilsv. lange valgnavn) fører til utskrift av ed(1)-skript i stedet for standardformatet.

Valget -m (--merge) lar diff3 utføre sammenslåing internt og skrive ut sammenslått fil. Dette er sikrere for behandling av uvanlig inndata enn å bruke ed(1).

Programmet leser fra standard inndata hvis FIL er «-». Avsluttende status er 0 hvis alt er i orden, 1 ved konflikter og 2 ved problemer.

OPPHAVSMANN
Skrevet av Randy Smith.

RAPPORTERING AV FEIL
Rapporter programfeil til: <bug-diffutils@gnu.org>; rapporter oversettelsesfeil til: <l10n-no@lister.huftis.org>.
Nettside for GNU diffutils: <https://www.gnu.org/software/diffutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>

OPPHAVSRETT
Copyright © 2023 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
cmp(1), diff(1), sdiff(1)

Den fullstendige dokumentasjonen for diff3 opprettholdes som en Texinfo manual. Dersom info og diff3 programmene er riktig installert på ditt sted burde kommandoen

    info diff3

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.